Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### strokeCap()

Examples

    smooth();
    strokeWeight(12.0);
    strokeCap(ROUND);
    line(20, 30, 80, 30);
    strokeCap(SQUARE);
    line(20, 50, 80, 50);
    strokeCap(PROJECT);
    line(20, 70, 80, 70);

Description | Sets the style for rendering line endings. These ends are either squared, extended, or rounded and specified with the corresponding parameters SQUARE, PROJECT, and ROUND. The default cap is ROUND. This function is not available with the P2D, P3D, or OPENGL renderers (see bug report). More information about the renderers can be found in the size() reference.

Syntax

    strokeCap(MODE)

Parameters

MODE | Either SQUARE, PROJECT, or ROUND

Returns | None
Usage | Web & Application
Related | stroke() strokeWeight() strokeJoin() size()

Updated on August 30, 2010 04:29:39pm EDT